Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs

From: Ben Walton <[email-masked]>
Date: Wed, 09 Mar 2011 21:48:26 -0500

Excerpts from Pádraig Brady's message of Tue Mar 08 04:28:24 -0500 2011:

Hi Pádraig,

Thanks for the quick reply and apologies for my slow response.

> That specific 8.10 test failure is addressed separately upstream.
> I'm leaving this bug open to record the df behavior you detail
> above.

Ok, that's good to know.

> It triggers when df can't read the list of mounted file systems (why
> can it not on your sparc system?)

It is able to read the list, but it then proceeds to behave very
differently compared to the i386 version.  I've attached truss output
from the two boxes.  Hopefully it's of use.

Thanks
-Ben
--
Ben Walton
Systems Programmer - CHASS
University of Toronto
C:416.407.5610 | W:416.978.4302